> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/api-and-platform/widgets/privacy-widgets/deploy-a-widget/use-your-own-domain.md).

# Use your own domain

A default URL is assigned to your widget:

```
https://organization-widget-id.preference-center.org/
```

We recommend using your own domain name instead, such as [`https://privacy.company-name.com`](https://privacy.company-name.com)

{% hint style="warning" %}
To use a domain in a widget:

* The domain must already exist ([see how to create a domain](/api-and-platform/domains.md)).
* The domain must be in **Ready** status.
* The domain must have the correct **usage** (**Load a webpage** or `preference-center` in the API).
* The domain must **not be assigned to another widget**.
  {% endhint %}

## Update the widget with the custom domain

You can update the widget with a custom domain by sending a **PATCH** request to the `/widgets/{id}` endpoint.

Set the `domain` property to **custom** and include the `custom_domain_id` property with the domain ID (or domain name) you want to assign.

```json
PATCH https://api.didomi.io/widgets?organization_id=YOUR_ORG_ID

{
  "domain": "custom",
  /**
   * custom_domain_id corresponds to your custom domain
   * ex: preferences.didomi.io
   */  
  "custom_domain_id": "String"

}

```

{% hint style="info" %}
To apply your changes, you must [deploy the widget](/api-and-platform/widgets/privacy-widgets/deploy-a-widget.md).
{% endhint %}

If you struggle with configuring your custom domain, send an email to <support@didomi.io> or to the person you have been in touch with at Didomi to let us know what custom domain you will be using and that the [setup](/api-and-platform/domains.md) is done on your side.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.didomi.io/api-and-platform/widgets/privacy-widgets/deploy-a-widget/use-your-own-domain.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
